# $Revision: 1.42 $, $Date: 2012/02/12 08:40:56 $
Summary:	Oxyd clone
Summary(pl.UTF-8):	Klon gry Oxyd
Name:		enigma
Version:	1.01
Release:	10
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://download.berlios.de/enigma-game/%{name}-%{version}.tar.gz
# Source0-md5:	d3804534ac03425051ebfd383ed1b4ee
Source1:	%{name}.desktop
Patch0:		%{name}-gcc.patch
Patch1:		%{name}-xerces.patch
Patch2:		%{name}-libpng15.patch
URL:		http://www.nongnu.org/enigma/
BuildRequires:	SDL_image-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel >= 1.2.5
BuildRequires:	SDL_ttf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	xerces-c-devel >= 2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enigma is a puzzle game inspired by Oxyd on the Atari ST and
Rock'n'Roll on the Amiga: You control a small black marble and have to
find and uncover all pairs of identical Oxyd stones in each landscape.
Sounds simple? It would be, if it weren't for hidden traps, vast
mazes, insurmountable obstacles and lots of hairy puzzles, blocking
your direct way to the Oxyd stones...

%description -l de.UTF-8
Bei Enigma handelt es sich um ein Remake des 1990 erschienen
Spiele-Klassikers Oxyd. Das Ziel des Spiels ist schnell erklärt:
Versuchen Sie alle gleichfarbigen "Oxyd"-Steine in jeder Landschaft zu
finden und aufzudecken. Hört sich einfach an? Wäre es vielleicht auch,
würden nicht versteckte Fallen, gewaltige Irrgärten, scheinbar
unüberwindliche Hindernisse und viele, viele Rätsel den direkten Weg
zu den Steinen blockieren...

%description -l pl.UTF-8
Enigma jest grą logiczną zainspirowaną przez Oxyd z Atari ST i
Rock'n'Roll z Amigi. Kontroluje się małą czarną kulkę mając za zadanie
odnaleźć i odkryć wszystkie pary identycznych kamieni Oxyd na każdej
planszy. Proste? Było by, gdyby nie ukryte pułapki, przepastne
labirynty, niepokonane przeszkody i mnóstwo włochatych zagadek
blokujących drogę do kamieni Oxyd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# hack: don't rebuild it, requires too new(?) version of texi2html
# (doesn't work with texi2html 1.56k from tetex 2.0.2)
touch doc/manual/*.html

%build
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1}			$RPM_BUILD_ROOT%{_desktopdir}
install data/gfx/enigma_marble.png	$RPM_BUILD_ROOT%{_pixmapsdir}/enigma.png

rm -f doc/manual/{images,}/Makefile*
rm -f doc/manual/enigma.texi

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES README doc/manual
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_mandir}/man6/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: enigma.spec,v $
Revision 1.42  2012/02/12 08:40:56  adamg
- gcc4.6 fixes (-gcc.patch)
- release 10 (rebuild against libpng-1.5)

Revision 1.41  2012/02/12 08:09:40  arekm
- release 9

Revision 1.40  2012/02/07 21:59:49  arekm
- release 8

Revision 1.39  2011/12/20 19:41:13  arekm
- release 7

Revision 1.38  2010/11/23 23:38:15  baggins
- rel 6

Revision 1.37  2010/11/23 23:32:46  baggins
- fix build issues with xerces-c 3.1

Revision 1.36  2010/11/23 05:49:20  arekm
- release 5

Revision 1.35  2010/11/20 20:14:52  arekm
- release 4

Revision 1.34  2010/02/06 02:09:51  sparky
- BR: libpng-devel

Revision 1.33  2010/02/06 01:42:24  baggins
- rel 3
- fix latest c++ problems

Revision 1.32  2007/09/06 16:30:03  wolf
- rel 2

Revision 1.31  2007/06/09 13:55:32  wolf
- 1.01

Revision 1.30  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.28  2007/01/25 21:19:14  qboosh
- use version macro again

Revision 1.27  2007/01/04 21:07:37  lisu
- 1.00
- new Source0
- BR: xerces-c-devel >= 2.4
- BR: SDL_mixer-devel version changed to 1.2.5
- using %{__make} install macro (it works now)
- %find_lang macro added
- cosmetics

Revision 1.26  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.25  2005/06/05 18:39:09  qboosh
- updated to 0.92, updated URL

Revision 1.24  2005/05/31 16:52:48  wolf
- 0.91

Revision 1.23  2005/05/31 15:37:28  zbyniu
- BR: gettext-devel, libstdc++-devel

Revision 1.22  2005/01/29 10:58:59  wolf
- 0.90 rc1

Revision 1.21  2004/11/07 01:22:04  wolf
- 0.90 beta

Revision 1.20  2004/03/28 17:06:23  wolf
- includes lua in package

Revision 1.19  2003/12/10 15:14:51  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.18  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.17  2003/10/14 18:07:54  wolf
- 0.81

Revision 1.16  2003/10/14 16:13:47  wolf
- 0.80

Revision 1.15  2003/10/08 21:43:28  wolf
- 0.80rc1

Revision 1.14  2003/09/30 13:19:48  grzegol
- rel. 0.beta.1
- added BR: SDL_ttf-devel
- removed trash from manual dir

Revision 1.13  2003/09/16 23:20:34  wolf
- 0.80 beta
- todo: remove thrash from manual dir

Revision 1.12  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 05:47:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/02/16 22:16:06  wolf
- 0.70

Revision 1.9  2003/01/18 22:46:45  juandon
- removed two lines with define

Revision 1.8  2002/12/25 16:40:38  wolf
- de description by Daniel Heck (http://mail.gnu.org/pipermail/enigma-devel/2002-December/000180.html)

Revision 1.7  2002/12/25 16:37:25  wolf
- 0.60

Revision 1.6  2002/11/01 13:19:12  malekith
- s/lua-devel/lua40-devel/; release 2

Revision 1.5  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/08/15 12:36:34  wolf
- 0.50

Revision 1.3  2002/08/14 14:52:09  wolf
- 0.50 rc1
STBR

Revision 1.2  2002/07/31 12:36:42  kloczek
- remove redundant entry for SDL-devel from BuildRequires.

Revision 1.1  2002/06/08 10:44:56  wolf
- initial release, STBR
